Package com.orbbec.obsensor.datatype

## Class CameraIntrinsic

- java.lang.Object
- - com.orbbec.obsensor.DataType
  - - com.orbbec.obsensor.datatype.CameraIntrinsic

    public class CameraIntrinsic
    extends DataType

Camera internal parameters

### Constructor Summary

Constructors
`CameraIntrinsic()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `BYTES()` Get the number of bytes occupied by the Native structure
`float` `getCx()` Get the abscissa of the optical center
`float` `getCy()` Get the ordinate of the optical center
`float` `getFx()` Get the focal length in the x direction, unit: pixel
`float` `getFy()` Get the focal length in the y direction, unit: pixel
`int` `getHeight()` get image height
`int` `getWidth()` get image width
`protected boolean` `parseBytesImpl​(byte[] bytes)` Specific class implementation parsing, pay attention to the internal order and length of the structure
`java.lang.String` `toString()`
`protected boolean` `wrapBytesImpl​(byte[] bytes)` Specific class attribute encapsulation, pay attention to the internal order and length of the structure

### Methods inherited from class com.orbbec.obsensor.DataType

`checkInitialized, getBytes, parseBytes, throwInitializeException, wrapBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CameraIntrinsic

    public CameraIntrinsic()

### Method Detail

#### getFx

    public float getFx()

Get the focal length in the x direction, unit: pixel

Returns:
  returns the focal length in the x-direction

#### getFy

    public float getFy()

Get the focal length in the y direction, unit: pixel

Returns:
  returns the y-direction focal length

#### getCx

    public float getCx()

Get the abscissa of the optical center

Returns:
  returns the abscissa of the optical center

#### getCy

    public float getCy()

Get the ordinate of the optical center

Returns:
  returns the ordinate of the optical center \endif

#### getWidth

    public int getWidth()

get image width

Returns:
  returns image width

#### getHeight

    public int getHeight()

get image height

Returns:
  returns image height

#### BYTES

    public int BYTES()

Description copied from class: `DataType`
Get the number of bytes occupied by the Native structure

Specified by:
  `BYTES` in class `DataType`
Returns:
  The number of bytes occupied by the Native structure

#### parseBytesImpl

    protected boolean parseBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class implementation parsing, pay attention to the internal order and length of the structure

Specified by:
  `parseBytesImpl` in class `DataType`
Parameters:
  `bytes` - byte array to be parsed
Returns:
  Parsing result, false: parsing failed, true: parsing succeeded

#### wrapBytesImpl

    protected boolean wrapBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class attribute encapsulation, pay attention to the internal order and length of the structure

Specified by:
  `wrapBytesImpl` in class `DataType`
Parameters:
  `bytes` - The generated byte array to be encapsulated
Returns:
  Encapsulation result, false: Encapsulation failed, true: Encapsulation succeeded

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`